## qtwebkit-opensource-src 5.212.0~alpha3

=== debian/changelog ===
qtwebkit-opensource-src (5.212.0~alpha3-7) unstable; urgency=medium

  * Do not use Python 2 even if it is present (closes: #949488).
  * Backport upstream patch to fix build with ICU 65.1.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Update debian/libqt5webkit5.symbols from buildds’ logs (hppa).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Feb 2020 21:55:34 +0300

qtwebkit-opensource-src (5.212.0~alpha3-6) unstable; urgency=medium

  * Port the build tools to Python 3 (closes: #938323).
  * Update debian/libqt5webkit5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Jan 2020 18:04:18 +0300

qtwebkit-opensource-src (5.212.0~alpha3-5) unstable; urgency=medium

  * Update debian/libqt5webkit5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 10:56:29 +0300

qtwebkit-opensource-src (5.212.0~alpha3-4) experimental; urgency=medium

  * Update debian/libqt5webkit5.symbols from buildds’ logs.
  * Bump Qt build-dependencies to 5.12.5.
  * Add Build-Depends-Package field to debian/libqt5webkit5.symbols.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Sep 2019 18:24:25 +0300

qtwebkit-opensource-src (5.212.0~alpha3-3) experimental; urgency=medium

  * Bump qtbase build-dependency to 5.12.4+dfsg-3, to make sure we build
    with NPAPI plugins support (the needed CMake file was added there).
  * Install QtWebPluginProcess executable in libqt5webkit5 package.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Jul 2019 22:48:44 +0300

qtwebkit-opensource-src (5.212.0~alpha3-2) experimental; urgency=medium

  * Update debian/libqt5webkit5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Jul 2019 14:32:17 +0300

qtwebkit-opensource-src (5.212.0~alpha3-1) experimental; urgency=medium

  * New upstream alpha release.
  * Update Homepage and debian/watch for GitHub repository rename
    (annulen/webkit → qtwebkit/qtwebkit).
  * Drop all patches except reduce_exports.diff and path_max.diff,
    all have been applied in the new release.
  * Refresh debian/patches/reduce_exports.diff.
  * Bump Qt build-dependencies to 5.12.4.
  * Stop running pngcrush during build, the broken files were fixed
    upstream.
  * Update debian/libqt5webkit5.install to match upstream process name
    change (QtWebDatabaseProcess → QtWebStorageProcess).
  * Add private .pri files to debian/not-installed.
  * Update debian/libqt5webkit5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 30 Jun 2019 15:57:32 +0300

qtwebkit-opensource-src (5.212.0~alpha2-23) experimental; urgency=medium

  * Update debian/libqt5webkit5.symbols from buildds’ logs.
  * Bump Qt build-dependencies to 5.12.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Apr 2019 11:30:50 +0300

qtwebkit-opensource-src (5.212.0~alpha2-22) experimental; urgency=medium

  * Bump Qt build-dependencies to 5.12.2.
  * Use -g1 instead of -g on all architectures.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 13:38:39 +0300

qtwebkit-opensource-src (5.212.0~alpha2-21) unstable; urgency=medium

  * Add fastcall attribute to JSImageConstructor::construct method.
    This fixes crash on i386 (closes: #909366, #924402). Thanks Bernhard
    Übelacker for the patch!
  * Remove -fpermissive from build flags. It was wrong and not needed
    with the applied patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Mar 2019 11:42:38 +0300

qtwebkit-opensource-src (5.212.0~alpha2-20) unstable; urgency=medium

  * Backport two upstream commits to fix page width in plain text messages
    in Trojitá (fix_trojita_plaintext.diff; closes: #919522).
  * Update to debhelper compat level 12.
  * Use the new cmake+ninja buildsystem.
  * Drop the documentation packages. They cannot be built properly with
    qdoc 5.11. See https://github.com/annulen/webkit/issues/793.
  * Update symbols files from buildds’ logs.
  * Fix libpng warning by running pngcrush during build.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Feb 2019 23:25:35 +0300

qtwebkit-opensource-src (5.212.0~alpha2-19) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate interpreter dependencies with :native. (Closes:
    #916788)

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:31:35 -0300

qtwebkit-opensource-src (5.212.0~alpha2-18) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to enable doxygen tags file generation
    (LP: #1797040).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Qt build dependencies to ensure it builds against the right versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 08 Dec 2018 12:36:46 -0300

qtwebkit-opensource-src (5.212.0~alpha2-17) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 17:48:46 +0300

qtwebkit-opensource-src (5.212.0~alpha2-16) experimental; urgency=medium

  * Update debian/libqt5webkit5.symbols from buildds’ logs.
  * Build with -Wno-class-memaccess to avoid tons of warnings about
    memset/memcpy.
  * Bump Qt build-dependencies to 5.11.2.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Sep 2018 21:24:52 +0300

qtwebkit-opensource-src (5.212.0~alpha2-15) unstable; urgency=medium

  * Build with -fpermissive to (hopefully) solve the i386 FTBFS.
  * Update symbols from build logs.


